 About the HTML Help Viewer

By default, when you build a help system, your compiled help (.chm) file will appear in a window with three panes:

  • On the left side of the window is the Navigation pane. It contains three navigational tabs: the Contents tab, the Index tab, and the Search tab.
  • On the right side of the window is the Topic pane. It displays the selected help topic, or the default help topic.
  • The third pane is the toolbar, which is located below the help window title bar.
Display the HTML Help Viewer


 Getting more out of help

In a help topic, you can click links to view information related to the topic:

  • To link to another topic, a Web page, a list of other topics, or a program, click the colored, underlined words. For example, click here to go to another topic.
  • To view topics that contain related information, click the words, "Related Topics," which might appear at the end of a topic, and then click the title of the topic you want.
  • If you are viewing content from the Web in the Topic pane, click Stop or Refresh on the toolbar to interrupt a download or refresh the content on a Web page.


 To find a help topic

Click one of the following tabs in the Navigation pane:

  • To browse through a table of contents, click the Contents tab. The table of contents is an expandable list of important topics.
  • To see a list of index entries, click the Index tab, and then type a word or scroll through the list. Topics are often indexed under more than one entry.
  • To locate every occurrence of a word or phrase in a help system, click the Search tab, and then type the word.
Note
  • Click the contents entry, index entry, or search results entry to display the corresponding topic.


 To copy a help topic
  1. Right-click the topic you want to copy, and then click Select All.
  2. Right-click again, and then click Copy. This copies the topic to the Clipboard.
  3. Open the target document.
  4. Position your cursor where you want the information to appear.
  5. On the Edit menu, click Paste.
Note
  • If you want to copy only part of a topic, select the portion you want to copy, right-click, and then click Copy.


 To print the current help topic

Right-click the topic you want to print, and then click Print.

Note
  • If you print from the Contents tab, you will see options to print the current topic, all topics under the selected heading, or all topics in the table of contents.


 To get help in a dialog box

Click the question mark image: question mark button in the upper-right corner of the dialog box, and then click an item in the dialog box.

Notes
  • To close the pop-up window, click anywhere on the screen.
  • If the dialog box does not have the image: question mark button, click Help, or press F1.


 Using the toolbar buttons

The Help Viewer toolbar can display nine buttons:

  • Hide/Show expands or collapses the left pane.
  • Back opens the last viewed help topic.
  • Forward displays the next help topic in a previously displayed sequence of topics.
  • Stop terminates a download from an external site.
  • Refresh repeats a download from an external site.
  • Home opens the Home page topic for the help file you are viewing.
  • Options opens a menu of customization settings.
  • Print opens the Print dialog box.
  • Locate synchronizes the displayed topic with a corresponding title in the table of contents.
Note
  • The toolbar in your Help Viewer might not contain all of these buttons.


 To hide or show the Navigation pane

On the toolbar, click Hide or Show to close or display the Navigation pane. The Navigation pane contains the Contents, Index, and Search tabs.

Note
  • If you close the Help Viewer with the Navigation pane hidden, it will remain hidden the next time you display the Help Viewer.


 Using accessibility shortcut keys in the Help Viewer

The following keyboard shortcuts can be used for navigation in the HTML Help Viewer. For more information about accessibility features and services, visit the Microsoft Accessibility and Disabilities Web site.

For the Help Viewer:

To | Press
Close the Help Viewer. | ALT+F4
Switch between the Help Viewer and other open windows. | ALT+TAB
Display the Options menu. | ALT+O
Hide or show the Navigation pane. | ALT+O, and then press T
Print a topic. | ALT+O, and then press P
Refresh the topic that appears in the Topic pane. | ALT+O, and then press R
Move back to the previous topic. | ALT+O, and then press B
Move forward to the next topic (provided you have viewed it just previously). | ALT+O, and then press F
Switch focus between the Navigation pane and the Topic pane. | F6
Scroll through a topic. | UP ARROW or DOWN ARROW (or, to move to the end or beginning of a topic, CTRL+END and CTRL+HOME)
Scroll through the links in a topic, or through all of the options on a Navigation pane tab. | TAB

For the Contents tab:

To | Press
Display the Contents tab. | ALT+C
Open a book or folder. | ALT+RIGHT ARROW
Close a book or folder. | ALT+ LEFT ARROW
Select a topic. | DOWN ARROW or UP ARROW
Display the selected topic. | ENTER

For the Index tab:

To | Press
Display the Index tab. | ALT+I
Select a keyword in the list. | UP ARROW or DOWN ARROW
Display the associated topic. | ALT+D

For the Search tab:

To | Press
Display the Search tab. | ALT+S
Start a search. | ALT+L
Select a topic in the results list. | ALT+P, and then UP ARROW or DOWN ARROW
Display the selected topic. | ALT+D

Note
  • These shortcut keys work with the 1.1 release of HTML Help.


To find information with full-text search
  1. Click the Search tab, and then type the word or phrase you want to find.
  2. Click List Topics, select the topic you want, and then click Display.


 To highlight words in searched topics

When you search for words in help topics, you can set HTML Help Workshop to highlight each occurrence of the word or phrase that is found.

To highlight all instances of a search word or phrase, click Options, and then click Highlighting On.

Note
  • To turn off this option, click Options, and then click Highlighting Off.


 To customize the Help Viewer

There are a few ways to easily change the size and position of the Help Viewer and the panes in the Viewer:

  • To resize the Navigation or Topic pane, point to the divider between the two panes. When the pointer changes to a double-headed arrow, hold down the mouse button and drag the divider right or left.
  • To shrink or enlarge the entire Help Viewer, point to any corner of the Help Viewer. When the pointer changes to a double-headed arrow, hold down the mouse button and drag the corner.
  • To change the height or width of the Help Viewer, point to the top, bottom, left, or right edge of the Help Viewer. When the pointer changes to a double-headed arrow, hold down the mouse button and drag the side.
  • To reposition the Help Viewer on your screen, click the title bar and drag the Viewer to a new position.
Note
  • If you close the Help Viewer, it will open using the last size and position settings you selected.


 To change colors in the Topic pane of the Help Viewer
  1. In Microsoft Internet Explorer 4.0, on the View menu, click Internet Options.
  2. On the General tab, click Colors.
  3. In the Colors dialog box, select the options you want, and then click OK.
  4. On the General tab, click Accessibility.
  5. Under Formatting, select the options you want, and then click OK.
  6. To apply the new color settings, in the Internet Options dialog box, click OK.
Note
  • This changes the color only in the Topic pane of the Help Viewer.


 The HTML Help Viewer

This is a help file as it appears in the HTML Help Viewer.